<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:m="http://www.w3.org/1998/Math/MathML">
<xsl:output doctype-system="torobo.dtd" />
<!-- -*- xml -*- -->
<xsl:variable name="DEBUG" select="true()"/>

<xsl:template match="/">
<!-- Stylish でCSSデバッグする場合はコメントアウト。-->
  <xsl:processing-instruction name="xml-stylesheet">
  <xsl:text>type="text/css" href="final.css"</xsl:text>
  </xsl:processing-instruction>
<!-- ここまでコメントアウト -->
  <xsl:apply-templates />
</xsl:template>

<xsl:template match="@* | *">
  <xsl:copy>
    <xsl:apply-templates select="@* | node()"/>
  </xsl:copy>
</xsl:template>

<xsl:template match="title | /exam/question[4]">
  <xsl:copy>
    <xsl:apply-templates select="@* | node()"/>
  </xsl:copy>
  <xsl:if test="$DEBUG">
  <p xmlns="http://www.w3.org/1999/xhtml">
<span class="menu">
<a href='7000M20.xml'>7000M20</a>
<a href='7000M40.xml'>7000M40</a>
<a href='7000M60.xml'>7000M60</a>
<a href='7000M80.xml'>7000M80</a>
</span><span class="menu">
<a href='8000M20.xml'>8000M20</a>
<a href='8000M40.xml'>8000M40</a>
<a href='8000M60.xml'>8000M60</a>
<a href='8000M80.xml'>8000M80</a>
</span><span class="menu">
<a href='9000M20.xml'>9000M20</a>
<a href='9000M40.xml'>9000M40</a>
<a href='9000M60.xml'>9000M60</a>
<a href='9000M80.xml'>9000M80</a>
</span><span class="menu">
<a href='A000M20.xml'>A000M20</a>
<a href='A000M40.xml'>A000M40</a>
<a href='A000M60.xml'>A000M60</a>
<a href='A000M80.xml'>A000M80</a>
</span><span class="menu">
<a href='B000M20.xml'>B000M20</a>
<a href='B000M40.xml'>B000M40</a>
<a href='B000M60.xml'>B000M60</a>
<a href='B000M80.xml'>B000M80</a>
</span><span class="menu">
<a href='C000M20.xml'>C000M20</a>
<a href='C000M40.xml'>C000M40</a>
<a href='C000M60.xml'>C000M60</a>
<a href='C000M80.xml'>C000M80</a>
</span><span class="menu">
<a href='D000M20.xml'>D000M20</a>
<a href='D000M40.xml'>D000M40</a>
<a href='D000M60.xml'>D000M60</a>
<a href='D000M80.xml'>D000M80</a>
</span><span class="menu">
<a href='E000M20.xml'>E000M20</a>
<a href='E000M40.xml'>E000M40</a>
<a href='E000M60.xml'>E000M60</a>
<a href='E000M80.xml'>E000M80</a>
</span><span class="menu">
<a href='F000M20.xml'>F000M20</a>
<a href='F000M40.xml'>F000M40</a>
<a href='F000M60.xml'>F000M60</a>
<a href='F000M80.xml'>F000M80</a>
</span><span class="menu">
<a href='G000M30.xml'>G000M30</a>
<a href='G000M40.xml'>G000M40</a>
<a href='G000M70.xml'>G000M70</a>
<a href='G000M80.xml'>G000M80</a>
</span><span class="menu">
<a href='H000M30.xml'>H000M30</a>
<a href='H000M40.xml'>H000M40</a>
<a href='H000M70.xml'>H000M70</a>
<a href='H000M80.xml'>H000M80</a>
</span><span class="menu">
<a href='J000M30.xml'>J000M30</a>
<a href='J000M40.xml'>J000M40</a>
<a href='J000M70.xml'>J000M70</a>
<a href='J000M80.xml'>J000M80</a>
</span><span class="menu">
<a href='K000M30.xml'>K000M30</a>
<a href='K000M40.xml'>K000M40</a>
<a href='K000M70.xml'>K000M70</a>
<a href='K000M80.xml'>K000M80</a>
</span><span class="menu">
<a href='L000M30.xml'>L000M30</a>
<a href='L000M70.xml'>L000M70</a>
<a href='M000M30.xml'>M000M30</a>
<a href='M000M70.xml'>M000M70</a>
</span><span class="menu">
<a href="./">一覧</a>
</span>
</p>
  </xsl:if>
</xsl:template>


<xsl:template match="m:math[not(@display)]
  ">
  <m:math>
    <!-- 平文のカンマやコロンなどで分けられた
      インライン数式をインデント-->
    <xsl:if test="current()[preceding-sibling::node()[1][self::br or self::m:math/@display]]
      [contains(' ： ', following-sibling::text()[1]) or
      (
      contains('， または かつ のとき と のとき，極大値 のとき，極小値 ', following-sibling::text()[1]) and following-sibling::br[1][preceding-sibling::node()[1][self::m:math or self::blank]]
      ) or  (
      contains('，', following-sibling::text()[1]) and
      following-sibling::*[1][self::m:math/@display]
      )
      or (
      contains('，', following-sibling::text()[1]) and
      following-sibling::*[1][self::m:math[not(@display)]] and
      following-sibling::*[2][self::m:math/@display]
      )
      ]">
      <xsl:attribute name="style">margin-left:3em;</xsl:attribute>
    </xsl:if>
    <!-- 分数を含むとき，本文の行の高さ計算を変える -->
    <xsl:if test="current()//m:mfrac">
      <xsl:attribute name="class">frac</xsl:attribute>
    </xsl:if>
    <xsl:apply-templates />
  </m:math>
</xsl:template>

<!-- 独立した文をインデントできる？ -->
<xsl:template match="instruction/text()[preceding-sibling::*[1][self::br]]
  [not(contains(' (a) (b) (c) ', self::text()))]
  [following-sibling::node()[1][self::m:math or self::blank]]
  [following-sibling::node()[2][self::br]]
  ">
 <span xmlns="http://www.w3.org/1999/xhtml" style="padding-left:3em;"></span>
  <xsl:copy />
</xsl:template>


<xsl:template match="m:semantics/m:mrow[.//m:mfrac or .//m:munderover or .//m:msubsup or .//m:msqrt or .//m:mroot]">
  <m:mstyle displaystyle="true">
    <xsl:apply-templates />
  </m:mstyle>
</xsl:template>-->

<!-- 子要素が一つの<mrow>は除去。CSSを統一的に適用するため -->
<xsl:template match="m:mrow//m:mrow[count(*) = 1 and count(@*) = 0]">
  <xsl:apply-templates />
</xsl:template>

<xsl:variable name="KANASET" select="'アイウエオカキクケコサシスセソタチツテトナニヌネノハヒフヘホ'" />

<!-- refでカナ2文字以上ならclass属性kana2を付加。-->
<xsl:template match="ref[contains($KANASET, substring(text(),1,1))
  and (string-length(text()) &gt; 1)]">
  <ref class="refkana2">
    <xsl:apply-templates select="@* | node()"/>
  </ref>
</xsl:template>

<xsl:template name="createMathblank">
  <xsl:param name="value"></xsl:param>
    <xsl:choose>
      <xsl:when test="string-length(text()) &gt; 1">
	<xsl:attribute name="class">mathblank kana2<xsl:value-of select="$value"/></xsl:attribute>
      </xsl:when>
      <xsl:otherwise>
	<xsl:attribute name="class">mathblank<xsl:value-of select="$value"/></xsl:attribute>
      </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<!-- カナ空欄の場合に、class属性mathblankを付加。
  カナ2文字以上ならkana2も付加。-->
<xsl:template match="m:mi[contains($KANASET, substring(text(),1,1))]">
  <xsl:if test="parent::m:msqrt">
    <m:mspace width=".3em"/>
  </xsl:if>
  <m:mi>
    <xsl:choose>
      <!--  既出のカナ空欄 D4、K8注意 -->
      <xsl:when test="(text() = preceding-sibling::*/descendant-or-self::m:mi/text() or text() = ancestor::*[ancestor::question]/preceding-sibling::*//m:mi/text() or  text() = ancestor::*[ancestor::question]/preceding-sibling::*/descendant-or-self::blank/text())">
	<xsl:call-template name="createMathblank">
	  <xsl:with-param name="value"> ref</xsl:with-param>
	</xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
	<xsl:call-template name="createMathblank"/>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="@* | node()"/>
    <m:mspace height="1.1em" depth=".4em"/>
  </m:mi>
  <xsl:if test="parent::m:msqrt">
    <m:mspace width=".3em"/>
  </xsl:if>
</xsl:template>

<!--	点の記号　O　などをnormal体に。
	ABPQは整式、Cは曲線、DEは集合、FJKは関数、Gはグラフ、
	に使われるためイタリック -->
<!-- 
 ・一文字記号のOは点。
 ・前に∠がある。-->
<xsl:template match="m:mi[string-length(text()) = 1 and
   contains('ABCDEFGHIJKLMNOPQRSTUVWXYZ', text()) and (contains('O', text()) or preceding-sibling::m:mo/text() = '&#8736;') ]">
  <m:mi mathvariant="normal">
    <xsl:apply-templates select="@* | node()"/>
  </m:mi>
</xsl:template>

<!-- 角度単位°に属性付加 -->
<xsl:template match="m:mi[text() = '&#xB0;']">
  <m:mi mathvariant="normal" class="MathML-Unit">
    <xsl:apply-templates select="@* | node()"/>
  </m:mi>
</xsl:template>

<!-- <mo>&InvisibleTimes;</mo>の後の<mrow>を除去。
  i sinθなどのiとsinの間の余白を潰さないため。-->
<xsl:template match="m:mrow[preceding-sibling::m:mo/text() = '&#x2062;']">
  <xsl:apply-templates />
</xsl:template>

<!-- <mfenced separators="">の複数の子要素を<mrow>でくくる。
  H04。<mo>&InvisibleTimes;</mo>が潰れるため。 -->
<xsl:template match="m:mfenced[@separators='']">
 <m:mfenced>
  <xsl:for-each select="@*">
    <xsl:copy />
  </xsl:for-each>
  <m:mrow>
   <xsl:apply-templates />
  </m:mrow>
 </m:mfenced>
</xsl:template>

<!-- mfrac の子要素にmspace 追加。わずかに分数の横棒を伸ばすため。
  カナ空欄枠が分数の横棒に接する問題回避-->
<xsl:template match="m:mfrac">
  <m:mfrac>
  <m:mrow><m:mspace width=".3em"/>
    <xsl:apply-templates select="*[1]" />
  <m:mspace width=".3em"/></m:mrow>
  <m:mrow><m:mspace width=".3em"/>
    <xsl:apply-templates select="*[2]" />
  <m:mspace width=".3em"/></m:mrow>
</m:mfrac>
</xsl:template>

<!-- 要素が1つか区切り文字のない括弧類の広松先生方式化-->
<xsl:template match="m:mfenced[not(@open='') and not(@close='') and (count(*) = 1 or @separators='')]">
  <m:mrow><m:mo lspace=".2em" rspace=".2em">
     <xsl:if test="not(.//m:mfrac or .//m:msup or .//m:mi[contains($KANASET, substring(text(),1,1))])">
	<xsl:attribute name="stretchy">false</xsl:attribute>
      </xsl:if>
      <xsl:if test="not(@open)">(</xsl:if>
      <xsl:value-of select="@open"/></m:mo>
      <xsl:apply-templates select="*"/>
    <m:mo lspace=".2em" rspace=".2em">
      <xsl:if test="not(.//m:mfrac or .//m:msup or .//m:mi[contains($KANASET, substring(text(),1,1))])">
	<xsl:attribute name="stretchy">false</xsl:attribute>
      </xsl:if>
      <xsl:if test="not(@open)">)</xsl:if>
      <xsl:value-of select="@close"/></m:mo>
  </m:mrow>
</xsl:template>

<!-- カンマ区切りカッコを広松先生方式に-->
<xsl:template match="m:mfenced[not(@open='') and not(@close='') and not(@separators) and count(*) &gt; 1 and not(../m:sup or ../m:sub)]">
  <xsl:if test="not(preceding-sibling::m:mo) and preceding-sibling::m:mi[string-length(text()) = 1 and contains('ABCDEFGHIJKLMNOPQRSTUVWXYZ', text())]">
    <m:mspace width=".5em"/>
  </xsl:if>
  <m:mrow>
    <m:mo>
      <xsl:if test="not(.//m:mfrac or .//m:sup or .//m:mi[contains($KANASET, substring(text(),1,1))])">
	<xsl:attribute name="stretchy">false</xsl:attribute>
      </xsl:if>
      <xsl:if test="not(@open)">(</xsl:if>
      <xsl:value-of select="@open"/></m:mo>
    <m:mrow><m:mspace width=".2em"/>
      <xsl:apply-templates select="*[position() = 1]"/>
    </m:mrow>
    <xsl:for-each select="*[position() != 1 and position() != last()]">
      <m:mo lspace=".2em">,</m:mo>
      <m:mrow><m:mspace width=".2em"/>
	<xsl:copy>
	  <xsl:apply-templates select="@* | node()"/>
	</xsl:copy>
      </m:mrow>
    </xsl:for-each>
    <m:mo lspace =".2em">,</m:mo>
    <m:mrow><m:mspace width=".2em"/>
      <xsl:apply-templates select="*[position() = last()]"/>
      <m:mspace width=".2em"/></m:mrow>
    <m:mo>
      <xsl:if test="not(.//m:mfrac or .//m:msup or .//m:mi[contains($KANASET, substring(text(),1,1))])">
	<xsl:attribute name="stretchy">false</xsl:attribute>
      </xsl:if>
      <xsl:if test="not(@open)">)</xsl:if>
      <xsl:value-of select="@close"/></m:mo>
  </m:mrow>
</xsl:template>

<!-- 点P (1,0)などの空白追加--><!--
<xsl:template match="m:mfenced[not(preceding-sibling::m:mo) and count(*) &gt; 1 and preceding-sibling::m:mi[string-length(text()) = 1 and contains('ABCDEFGHIJKLMNOPQRSTUVWXYZ', text())] and not(@open) and not(@close) and not(@separators) and not(.//m:frac)]">
  <m:mspace width=".5em"/>
  <m:mrow><m:mo stretchy="false">(</m:mo>
    <m:mrow><m:mspace width=".2em"/>
      <xsl:apply-templates select="*[position() = 1]"/>
    </m:mrow>
    <xsl:for-each select="*[position() != 1 and position() != last()]">
      <m:mo>,</m:mo>
      <m:mrow><m:mspace width=".2em"/>
	<xsl:copy>
	  <xsl:apply-templates select="@* | node()"/>
	</xsl:copy>
      </m:mrow>
    </xsl:for-each>
      <m:mo>,</m:mo>
      <m:mrow><m:mspace width=".2em"/>
      <xsl:apply-templates select="*[position() = last()]"/>
    <m:mspace width=".2em"/></m:mrow>
    <m:mo stretchy="false">)</m:mo>
  </m:mrow>
</xsl:template>-->

<!-- 座標の括弧にスペース.  -->
<!--<xsl:template match="m:mfenced[not(@open) and not(@close) and not(@separators) and count(*) &gt; 1 and not(.//m:mfrac)]">-->
<!--<xsl:template match="m:mfenced[not(preceding-sibling::m:mo) and count(*) &gt; 1 and not(preceding-sibling::m:mi[string-length(text()) = 1 and contains('ABCDEFGHIJKLMNOPQRSTUVWXYZ', text())]) and not(@open) and not(@close) and not(@separtors) and not(.//m:mfrac)]">
  <m:mrow><m:mo stretchy="false">(</m:mo>
    <m:mrow><m:mspace width=".2em"/>
      <xsl:apply-templates select="*[position() = 1]"/>
    </m:mrow>
    <xsl:for-each select="*[position() != 1 and position() != last()]">
      <m:mo>,</m:mo>
      <m:mrow><m:mspace width=".2em"/>
	<xsl:copy>
	  <xsl:apply-templates select="@* | node()"/>
	</xsl:copy>
      </m:mrow>
    </xsl:for-each>
      <m:mo>,</m:mo>    <m:mrow><m:mspace width=".2em"/>
      <xsl:apply-templates select="*[position() = last()]"/>
    <m:mspace width=".2em"/></m:mrow>
    <m:mo stretchy="false">)</m:mo>
  </m:mrow>
</xsl:template>-->

<!-- <mover>で書かれたベクトルを含む絶対値括弧を<mo stretchy="false">|</mo>に変更
<xsl:template match="m:mfenced[@open='|' and @close='|' and @separators and .//m:mover/m:mo[text()='&#x2192;']]">
  <m:mrow><m:mo stretchy="false" rspace=".2em">|</m:mo>
    <xsl:apply-templates />
  <m:mo stretchy="false" lspace=".2em">|</m:mo></m:mrow>
</xsl:template>-->

<!-- 絶対値を全て広松先生方式に(分数を含む場合を除く)
<xsl:template match="m:mfenced[@open='|' and @close='|' and @separators and not(.//m:mfrac)]">
  <m:mrow><m:mo stretchy="false" rspace=".2em">|</m:mo>
    <xsl:apply-templates />
  <m:mo stretchy="false" lspace=".2em">|</m:mo></m:mrow>
</xsl:template>-->

<xsl:template match="m:mfenced[@open='|' and @close='|' and @separators and not(.//m:mfrac) and preceding-sibling::m:mo/text() = '&#8290;' ]">
  <m:mo stretchy="false" rspace=".2em">|</m:mo>
  <xsl:apply-templates />
  <m:mo stretchy="false" lspace=".2em">|</m:mo>
</xsl:template>

<!-- 数列 {a_n} を広松先生方式に
<xsl:template match="m:mfenced[@open='{' and @close='}' and not(@separators) and m:msub]">
  <m:mrow><m:mo stretchy="false" lspace=".2em" rspace=".2em">{</m:mo>
    <xsl:apply-templates />
  <m:mo stretchy="false">}</m:mo></m:mrow>
</xsl:template>

<xsl:template match="m:mfenced[@open='{' and @close='}' and count(*)=1 and .//m:msub]">
  <m:mrow><m:mo stretchy="false">{</m:mo>
    <xsl:apply-templates />
  <m:mo stretchy="false">}</m:mo></m:mrow>
</xsl:template>-->


<!-- カンマ区切りでない括弧を広松先生方式に
<xsl:template match="m:mfenced[not(@open) and not(@close) and @separators='']">
  <m:mrow><m:mo>(</m:mo>
    <xsl:apply-templates />
  <m:mo>)</m:mo></m:mrow>
</xsl:template>-->

<!-- 中括弧を広松先生方式に
<xsl:template match="m:mfenced[@open='{' and @close='}' and @separators='' ]">
  <m:mrow><m:mo>{</m:mo>
    <xsl:apply-templates />
  <m:mo>}</m:mo></m:mrow>
</xsl:template>-->

<xsl:template match="m:mo[text()=':']">
  <m:mo lspace=".2em" rspace=".2em">:</m:mo>
</xsl:template>

<!-- デバッグ csymbol -->
<xsl:template match="m:semantics[.//m:csymbol[not(@cd)]//*]">
  <m:mrow><m:ci>[CSYMBOL]</m:ci> <xsl:apply-templates /></m:mrow>
</xsl:template>

<!-- デバッグ 不等号-->
<xsl:template match="m:semantics[.//m:leq/following-sibling::*//m:lt or .//m:lt/following-sibling::*//m:leq or .//m:geq/following-sibling::*//m:gt or .//m:gt/following-sibling::*//m:geq or
  .//m:leq/following-sibling::*//m:leq or .//m:lt/following-sibling::*//m:lt]">
  <m:mrow><m:ci>[ERROR CM]</m:ci> <xsl:apply-templates /></m:mrow>
</xsl:template>

<!-- CMデバッグ用 CMに混入したPMがあったら表示-->
<xsl:template match="m:semantics[./m:annotation-xml[.//m:mrow or .//m:mfenced or .//m:mi or .//m:mn or .//m:msub or .//m:msup or .//m:mover or .//m:mo or .//m:mtext or .//m:mfrac or .//m:msqrt or .//mroot or .//m:menclose or .//m:munder or .//m:munderover or .//m:mmultiscripts]]">
  <m:mrow><m:ci>[ERROR CM]</m:ci> <xsl:apply-templates /></m:mrow>
</xsl:template>

<!-- デバッグ
<xsl:template match="m:semantics[.//m:set]">
  <m:mrow><m:ci>set</m:ci> <xsl:apply-templates /></m:mrow>
</xsl:template>
<xsl:template match="m:semantics[.//m:list]">
  <m:mrow><m:ci>list</m:ci> <xsl:apply-templates /></m:mrow>
</xsl:template>
<xsl:template match="m:semantics[.//m:vector]">
  <m:mrow><m:ci>vector</m:ci> <xsl:apply-templates /></m:mrow>
</xsl:template>
-->

<!-- 式番号の丸数字だけにクラス属性付加-->
<xsl:template match="label[string-length(text()) = 1]
  [contains('①②③④', text())]">
  <label class="number">
   <xsl:apply-templates select="@*|node()"/>
  </label>
</xsl:template>
<xsl:template match="ref[not(@class)][string-length(text()) = 1]
  [contains('①②③④', text())]">
  <ref class="number">
   <xsl:apply-templates select="@*|node()"/>
  </ref>
</xsl:template>

<!-- 直線エルをリットル文字に-->
<xsl:template match="m:mi/text()[self::node() = 'l']">&#x2113;</xsl:template>




<!-- ======================================================
  個別の試験の一文字記号の書体変更
  -->
<xsl:template match="question[
  @sectionId='7000M24' or @sectionId='7000M43' or 
  @sectionId='7000M44' or
  @sectionId='7000M64' or
  (parent::question/@sectionId='7000M82' and @id='Q5') or
  @sectionId='7000M83' or @sectionId='7000M84' or
  (parent::question/@sectionId='8000M22' and @id='Q6') or
  @sectionId='8000M43' or @sectionId='8000M61' or
  (parent::question/@sectionId='8000M62' and @id='Q6') or
  @sectionId='8000M64' or @sectionId='8000M81' or
  (parent::question/@sectionId='8000M82' and @id='Q5') or
  @sectionId='8000M83' or @sectionId='9000M43' or
  (parent::question/@sectionId='9000M61' and @id='Q3') or
  @sectionId='9000M64' or @sectionId='9000M83' or
  (parent::question/@sectionId='A000M21' and @id='Q3') or
  @sectionId='A000M24' or @sectionId='A000M43' or
  @sectionId='A000M44' or @sectionId='A000M64' or
  @sectionId='A000M83' or
  (parent::question/@sectionId='B000M22' and @id='Q6') or
  @sectionId='B000M24' or @sectionId='B000M43' or
  @sectionId='B000M64' or @sectionId='B000M83' or
  @sectionId='B000M84' or @sectionId='C000M43' or
  @sectionId='C000M61' or
  (parent::question/@sectionId='C000M62' and @id='Q6') or
  @sectionId='C000M64' or 
  @sectionId='C000M84' or
  (parent::question/@sectionId='D000M21' and @id='Q3') or
  (parent::question/@sectionId='D000M22' and @id='Q6') or
  @sectionId='D000M24' or @sectionId='D000M43' or
  @sectionId='D000M44' or
  (parent::question/@sectionId='D000M62' and @id='Q6') or
  @sectionId='D000M64' or @sectionId='D000M83' or
  @sectionId='D000M84' or
  (parent::question/@sectionId='E000M22' and @id='Q6') or
  @sectionId='E000M24' or @sectionId='E000M43' or
  @sectionId='E000M44' or
  (parent::question/@sectionId='E000M62' and @id='Q6') or
  @sectionId='E000M64' or @sectionId='E000M83' or
  @sectionId='E000M84' or
  (parent::question/@sectionId='F000M22' and @id='Q6') or
  @sectionId='F000M24' or @sectionId='F000M41' or
  @sectionId='F000M43' or @sectionId='F000M44' or
  (parent::question/@sectionId='F000M62' and @id='Q6') or
  @sectionId='F000M64' or @sectionId='F000M83' or
  @sectionId='G000M33' or @sectionId='G000M41' or
  @sectionId='G000M43' or @sectionId='G000M84' or
  @sectionId='H000M34' or @sectionId='H000M43' or
  @sectionId='H000M44' or @sectionId='H000M74' or
  @sectionId='H000M84' or
  @sectionId='J000M33' or @sectionId='J000M43' or
  @sectionId='J000M74' or @sectionId='J000M84' or
  @sectionId='K000M33' or @sectionId='K000M43' or 
  @sectionId='K000M74' or @sectionId='L000M33' or 
  @sectionId='L000M74' or @sectionId='M000M33' or 
  @sectionId='M000M74']
  //m:mi[string-length(text()) = 1 and contains('ABCDEFGHIJKLMNOPQRSTUVWXYZ', text())]">
  <m:mi mathvariant="normal">
    <xsl:apply-templates />
  </m:mi>
</xsl:template>

<!-- 'CST'以外。-->
<xsl:template match="question[
  @sectionId='7000M21' or
  @sectionId='8000M42' or @sectionId='8000M82' or
  @sectionId='9000M24' or @sectionId='9000M42' or
  @sectionId='9000M82' or @sectionId='A000M82' or
  @sectionId='A000M84' or @sectionId='B000M42' or
  @sectionId='B000M61' or @sectionId='C000M42' or
  @sectionId='C000M82' or @sectionId='C000M83' or
  @sectionId='D000M42' or
  @sectionId='F000M42' or @sectionId='G000M72' or
  (parent::question/@sectionId='J000M71' and @id='Q3') or 
  @sectionId='J000M82' or
  @sectionId='K000M82' or
  @sectionId='K000M84'
  ]//m:mi[string-length(text()) = 1 and contains('ABDEFGHIJKLMNOPQRUVWXYZ', text())]">
  <m:mi mathvariant="normal">
    <xsl:apply-templates />
  </m:mi>
</xsl:template>

<!-- 'CDST'以外。-->
<xsl:template match="question[
  @sectionId='D000M82']//m:mi[string-length(text()) = 1 and contains('ABEFGHIJKLMNOPQRUVWXYZ', text())]">
  <m:mi mathvariant="normal">
    <xsl:apply-templates />
  </m:mi>
</xsl:template>

<!-- 'ST'以外。-->
<xsl:template match="question[
  @sectionId='8000M24']//m:mi[string-length(text()) = 1 and contains('ABCDEFGHIJKLMNOPQRUVWXYZ', text())]">
  <m:mi mathvariant="normal">
    <xsl:apply-templates />
  </m:mi>
</xsl:template>

<!-- 'CD'以外-->
<xsl:template match="question[@sectionId='E000M42']//m:mi[string-length(text()) = 1 and contains('ABEFGHIJKLMNOPQRSTUVWXYZ', text())]">
  <m:mi mathvariant="normal">
    <xsl:apply-templates />
  </m:mi>
</xsl:template>

<!--'PQ'だけ -->
<xsl:template match="question[@sectionId='E000M82' or
  @sectionId='H000M42' or
  @sectionId='H000M72' or
  @sectionId='H000M82' or
  @sectionId='J000M72' or
  @sectionId='L000M72' or
  @sectionId='M000M72' or
  @sectionId='M000M73'  
]//m:mi[string-length(text()) = 1 and contains('PQ', text())]">
  <m:mi mathvariant="normal">
    <xsl:apply-templates />
  </m:mi>
</xsl:template>

<!-- 'R'以外-->
<xsl:template match="question[@sectionId='C000M24']//m:mi[string-length(text()) = 1 and contains('ABCDEFGHIJKLMNOPQSTUVWXYZ', text())]">
  <m:mi mathvariant="normal">
    <xsl:apply-templates />
  </m:mi>
</xsl:template>

<!-- 'S'以外。-->
<xsl:template match="question[@sectionId='A000M41' or
  @sectionId='H000M33' or @sectionId='H000M81' or
  @sectionId='J000M31'
  ]//m:mi[string-length(text()) = 1 and contains('ABCDEFGHIJKLMNOPQRTUVWXYZ', text())]">
  <m:mi mathvariant="normal">
    <xsl:apply-templates />
  </m:mi>
</xsl:template>

<!-- 'OAP' だけ-->
<xsl:template match="question[@sectionId='J000M81']//m:mi[string-length(text()) = 1 and contains('AOP', text())]">
  <m:mi mathvariant="normal">
    <xsl:apply-templates />
  </m:mi>
</xsl:template>

<!-- K7[2] CDとS(a)以外 -->
<xsl:template match="question[@sectionId='K000M72']//m:mi[string-length(text()) = 1 and contains('ABHPQRS', text()) and not(following-sibling::m:mo)]">
  <m:mi mathvariant="normal">
    <xsl:apply-templates />
  </m:mi>
</xsl:template>

</xsl:stylesheet>
